﻿#include <GUIConstantsEx.au3>
#include '_GUICtrlTrafficLight.au3'

Opt('GUIOnEventMode', 1)

Global $iLeft = 30, $iTop = 30
Global $hGui = GUICreate('_GUICtrlTrafficLight', 300, 180)
GUISetOnEvent($GUI_EVENT_CLOSE, '_CloseGui')
Global $idTrafficLight1 = _GUICtrlTrafficLight_Create($iLeft, $iTop, $TL_OFF)
Global $idTrafficLight2 = _GUICtrlTrafficLight_Create($iLeft + 130, $iTop, $TL_OFF)
Global $idTimerDisplay = GUICtrlCreateLabel('', $iLeft, 160, 200, 20)
GUISetState(@SW_SHOW, $hGui)

Global Const $iBlinkTime = 500
Global Const $iPhaseTime = 2000
Global Const $iWaitRedTime = 1000
Global Const $iGreenTime = 8000
For $i = 0 To 4
	_GUICtrlTrafficLight_SetData($idTrafficLight1, $TL_YELLOW) ; Ampel-1 gelb
	_GUICtrlTrafficLight_SetData($idTrafficLight2, $TL_YELLOW) ; Ampel-2 gelb
	Sleep($iBlinkTime)
	_GUICtrlTrafficLight_SetData($idTrafficLight1, $TL_OFF) ; Ampel-1 aus
	_GUICtrlTrafficLight_SetData($idTrafficLight2, $TL_OFF) ; Ampel-2 aus
	Sleep($iBlinkTime)
Next
_GUICtrlTrafficLight_SetData($idTrafficLight1, $TL_GREEN) ; Ampel-1 grün
_GUICtrlTrafficLight_SetData($idTrafficLight2, $TL_RED) ; Ampel-2 rot
Sleep($iGreenTime)
Do
	_GUICtrlTrafficLight_SetData($idTrafficLight1, $TL_YELLOW) ; Ampel-1 gelb
	Sleep($iPhaseTime)
	_GUICtrlTrafficLight_SetData($idTrafficLight1, $TL_RED) ; Ampel-1 rot
	Sleep($iWaitRedTime)
	_GUICtrlTrafficLight_SetData($idTrafficLight2, $TL_YELLOWRED) ; Ampel-2 gelb/rot
	Sleep($iPhaseTime)
	_GUICtrlTrafficLight_SetData($idTrafficLight2, $TL_GREEN) ; Ampel-2 grün
	Sleep($iGreenTime)
	_GUICtrlTrafficLight_SetData($idTrafficLight2, $TL_YELLOW) ; Ampel-2 gelb
	Sleep($iPhaseTime)
	_GUICtrlTrafficLight_SetData($idTrafficLight2, $TL_RED) ; Ampel-2 rot
	Sleep($iWaitRedTime)
	_GUICtrlTrafficLight_SetData($idTrafficLight1, $TL_YELLOWRED) ; Ampel-1 gelb/rot
	Sleep($iPhaseTime)
	_GUICtrlTrafficLight_SetData($idTrafficLight1, $TL_GREEN) ; Ampel-1 grün
	Sleep($iGreenTime)
Until Not BitAND(WinGetState($hGui), 2)
Exit

Func _CloseGui()
	GUIDelete($hGui)
	Exit
EndFunc